org.icefaces.ace.component.simpleselectonemenu

## Class SimpleSelectOneMenuBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectOne
          - - org.icefaces.ace.component.simpleselectonemenu.SimpleSelectOneMenuBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, ISimpleSelectOneMenu
  Direct Known Subclasses:
    SimpleSelectOneMenu

      public abstract class SimpleSelectOneMenuBase
      extends javax.faces.component.UISelectOne
      implements ISimpleSelectOneMenu, IceClientBehaviorHolder

  A simple selection component that uses the browser's native "select" element and integrates with the ACE environment, supporting Themeroller, ARIA, label positioning, and ace:ajax.

  For more information, see the SimpleSelectOneMenu Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SimpleSelectOneMenuBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UISelectOne

      `COMPONENT_FAMILY, INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleSelectOneMenuBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getAccesskey()` Return the value of the `accesskey` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getDir()` Return the value of the `dir` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getIndicatorPosition()` Return the value of the `indicatorPosition` property.
    `java.util.List` | `getItemList()` Return the value of the `itemList` property.
    `java.lang.String` | `getLabel()` Return the value of the `label` property.
    `java.lang.String` | `getLabelPosition()` Return the value of the `labelPosition` property.
    `java.lang.String` | `getLang()` Return the value of the `lang` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `java.lang.String` | `getOptionalIndicator()` Return the value of the `optionalIndicator` property.
    `java.lang.String` | `getRequiredIndicator()` Return the value of the `requiredIndicator` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTabindex()` Return the value of the `tabindex` property.
    `java.lang.String` | `getTitle()` Return the value of the `title` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isReadonly()` Return the value of the `readonly` property.
    `void` | `setAccesskey(java.lang.String accesskey)` Set the value of the `accesskey` property.
    `void` | `setDir(java.lang.String dir)` Set the value of the `dir` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)` Set the value of the `indicatorPosition` property.
    `void` | `setItemList(java.util.List itemList)` Set the value of the `itemList` property.
    `void` | `setLabel(java.lang.String label)` Set the value of the `label` property.
    `void` | `setLabelPosition(java.lang.String labelPosition)` Set the value of the `labelPosition` property.
    `void` | `setLang(java.lang.String lang)` Set the value of the `lang` property.
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)` Set the value of the `optionalIndicator` property.
    `void` | `setReadonly(boolean readonly)` Set the value of the `readonly` property.
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)` Set the value of the `requiredIndicator` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTabindex(java.lang.String tabindex)` Set the value of the `tabindex` property.
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class javax.faces.component.UISelectOne

      `validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleSelectOneMenuBase

          public SimpleSelectOneMenuBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UISelectOne`

    - #### setAccesskey

          public void setAccesskey(java.lang.String accesskey)

      Set the value of the `accesskey` property.

      Contents: Access key that, when pressed, transfers focus to this element.

      Specified by:
        `setAccesskey` in interface `ISimpleSelectOneMenu`

    - #### getAccesskey

          public java.lang.String getAccesskey()

      Return the value of the `accesskey` property.

      Contents: Access key that, when pressed, transfers focus to this element.

      Specified by:
        `getAccesskey` in interface `ISimpleSelectOneMenu`

    - #### setDir

          public void setDir(java.lang.String dir)

      Set the value of the `dir` property.

      Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

      Specified by:
        `setDir` in interface `ISimpleSelectOneMenu`

    - #### getDir

          public java.lang.String getDir()

      Return the value of the `dir` property.

      Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

      Specified by:
        `getDir` in interface `ISimpleSelectOneMenu`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as disabled="disabled".

      Specified by:
        `setDisabled` in interface `ISimpleSelectOneMenu`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as disabled="disabled". Default = 'false'.

      Specified by:
        `isDisabled` in interface `ISimpleSelectOneMenu`

    - #### setIndicatorPosition

          public void setIndicatorPosition(java.lang.String indicatorPosition)

      Set the value of the `indicatorPosition` property.

      Contents: Position of input-required or input-optional indicator relative to input field or label. Supported values are "left/right/top/bottom/labelLeft/labelRight/none". Default is "right".

      Specified by:
        `setIndicatorPosition` in interface `ISimpleSelectOneMenu`

    - #### getIndicatorPosition

          public java.lang.String getIndicatorPosition()

      Return the value of the `indicatorPosition` property.

      Contents: Position of input-required or input-optional indicator relative to input field or label. Supported values are "left/right/top/bottom/labelLeft/labelRight/none". Default is "right".

      Specified by:
        `getIndicatorPosition` in interface `ISimpleSelectOneMenu`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set the value of the `label` property.

      Contents: A localized user presentable name for this component.

      Specified by:
        `setLabel` in interface `ISimpleSelectOneMenu`

    - #### getLabel

          public java.lang.String getLabel()

      Return the value of the `label` property.

      Contents: A localized user presentable name for this component.

      Specified by:
        `getLabel` in interface `ISimpleSelectOneMenu`

    - #### setLabelPosition

          public void setLabelPosition(java.lang.String labelPosition)

      Set the value of the `labelPosition` property.

      Contents: Position of label relative to input field. Supported values are "left/right/top/bottom/none". Default is "none".

      Specified by:
        `setLabelPosition` in interface `ISimpleSelectOneMenu`

    - #### getLabelPosition

          public java.lang.String getLabelPosition()

      Return the value of the `labelPosition` property.

      Contents: Position of label relative to input field. Supported values are "left/right/top/bottom/none". Default is "none".

      Specified by:
        `getLabelPosition` in interface `ISimpleSelectOneMenu`

    - #### setLang

          public void setLang(java.lang.String lang)

      Set the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

      Specified by:
        `setLang` in interface `ISimpleSelectOneMenu`

    - #### getLang

          public java.lang.String getLang()

      Return the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

      Specified by:
        `getLang` in interface `ISimpleSelectOneMenu`

    - #### setOptionalIndicator

          public void setOptionalIndicator(java.lang.String optionalIndicator)

      Set the value of the `optionalIndicator` property.

      Contents: Indicator indicating that the user is NOT required to provide a submitted value for this input component.

      Specified by:
        `setOptionalIndicator` in interface `ISimpleSelectOneMenu`

    - #### getOptionalIndicator

          public java.lang.String getOptionalIndicator()

      Return the value of the `optionalIndicator` property.

      Contents: Indicator indicating that the user is NOT required to provide a submitted value for this input component.

      Specified by:
        `getOptionalIndicator` in interface `ISimpleSelectOneMenu`

    - #### setReadonly

          public void setReadonly(boolean readonly)

      Set the value of the `readonly` property.

      Contents: Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly".

      Specified by:
        `setReadonly` in interface `ISimpleSelectOneMenu`

    - #### isReadonly

          public boolean isReadonly()

      Return the value of the `readonly` property.

      Contents: Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly". Default = 'false'.

      Specified by:
        `isReadonly` in interface `ISimpleSelectOneMenu`

    - #### setRequiredIndicator

          public void setRequiredIndicator(java.lang.String requiredIndicator)

      Set the value of the `requiredIndicator` property.

      Contents: Indicator indicating that the user is required to provide a submitted value for this input component.

      Specified by:
        `setRequiredIndicator` in interface `ISimpleSelectOneMenu`

    - #### getRequiredIndicator

          public java.lang.String getRequiredIndicator()

      Return the value of the `requiredIndicator` property.

      Contents: Indicator indicating that the user is required to provide a submitted value for this input component.

      Specified by:
        `getRequiredIndicator` in interface `ISimpleSelectOneMenu`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Style class name of the container element.

      Specified by:
        `setStyle` in interface `ISimpleSelectOneMenu`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Style class name of the container element.

      Specified by:
        `getStyle` in interface `ISimpleSelectOneMenu`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Style class name of the container element.

      Specified by:
        `setStyleClass` in interface `ISimpleSelectOneMenu`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Style class name of the container element.

      Specified by:
        `getStyleClass` in interface `ISimpleSelectOneMenu`

    - #### setTabindex

          public void setTabindex(java.lang.String tabindex)

      Set the value of the `tabindex` property.

      Contents: Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.

      Specified by:
        `setTabindex` in interface `ISimpleSelectOneMenu`

    - #### getTabindex

          public java.lang.String getTabindex()

      Return the value of the `tabindex` property.

      Contents: Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.

      Specified by:
        `getTabindex` in interface `ISimpleSelectOneMenu`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

      Specified by:
        `setTitle` in interface `ISimpleSelectOneMenu`

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

      Specified by:
        `getTitle` in interface `ISimpleSelectOneMenu`

    - #### setItemList

          public void setItemList(java.util.List itemList)

      Set the value of the `itemList` property.

      Specified by:
        `setItemList` in interface `ISimpleSelectOneMenu`

    - #### getItemList

          public java.util.List getItemList()

      Return the value of the `itemList` property.

      Specified by:
        `getItemList` in interface `ISimpleSelectOneMenu`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.